Delivery Method
Manage delivery methods in VARIO Cloud via the REST API, including carriers, delivery times, parcel weights, country rules, activation and CRUD.
Delivery methods.
identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
Resource was not found
Resource was not valid to process
PUT /erp/delivery/methods/{id}/deactivate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"active": true,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
Resource was not found
Resource was not valid to process
PUT /erp/delivery/methods/{id}/activate HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"active": true,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}an identifier
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
Resource with given ID was not found
GET /erp/delivery/methods/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"active": true,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}an identifier
Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
Resource was not found
Resource was not valid to process
PUT /erp/delivery/methods/{id} HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 517
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"active": true,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}an identifier
successful operation
message context
message
Resource was not found
unable to delete Resource, due to constraints, existing references or internal state
DELETE /erp/delivery/methods/{id} HTTP/1.1
Host: api.example.com
Accept: */*
{
"context": "text",
"messageValue": "text"
}Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
successful operation
Version Identifier for this Object (for PUT)
Unique identifier of the Object
label for this delivery method
description
printDescription
Shipping duration in days.
Shipping provider.
Should a line with this delivery method be transferred into a delivery document with this method?
falseIs this active?
trueMinimum weight per parcel.
Barcode.
Maximum weight per parcel.
Where the parcel weight is taken from.
AUTOMATIC_VIA_DOCUMENT_LINEPossible values: Pass the email to the shipper.
falsePass the phone number to the shipper.
falseValid country codes.
Resource was not valid to process
POST /erp/delivery/methods HTTP/1.1
Host: api.example.com
Content-Type: application/json
Accept: */*
Content-Length: 517
{
"version": "text",
"info": {},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}{
"version": "text",
"info": {
"createdAt": "2026-01-01T00:00:00.000Z",
"createdFrom": "text",
"updatedAt": "2026-01-01T00:00:00.000Z",
"updatedFrom": "text"
},
"id": "text",
"label": "text",
"description": "text",
"printDescription": "text",
"deliveryTime": 1,
"vdsCarrierId": 1,
"defaultWeightUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"defaultSizeUnit": {
"id": 1,
"name": "text",
"abbreviation": "text"
},
"splitIntoNewDocument": false,
"active": true,
"minWeightPerParcel": 1,
"identifier": "text",
"maxWeightPerParcel": 1,
"parcelWeightSource": "AUTOMATIC_VIA_DOCUMENT_LINE",
"forwardEmailToShipper": false,
"forwardPhoneToShipper": false,
"validCountryCodes": [
"text"
],
"translations": []
}Last updated
Was this helpful?